/**
 * Created by Lzhang on 2018/10/24.
 */
import Modal from './packages/modal/index.js';
import modalBox from './packages/modal/modal.js';
import toast from './packages/toast/toast.js';
import ScrollLoadingContainer from './packages/scroll-loading-container'
import Tabs from './packages/tabs';
import ListRoll from './packages/list-roll';
import Tooltip from './packages/tooltip';


const components = {
    Modal,
    ScrollLoadingContainer,
    Tabs,
    ListRoll,
    Tooltip
};

const install = function (Vue, opts = {}) {
    /* istanbul ignore if */
    if (install.installed) return;
    for (let key in components) {
        const component = components[key];
        Vue.component(component.name, component);
    }
    Vue.prototype.$modalBox = modalBox;
    Vue.prototype.$toast = toast;
};

module.exports = {
    ...components,
    modalBox,
    toast,
    install,
}